/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 14/11/2017 - V2.2.1 
 *  Creation
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class CarringtonMapCatalog {

	private List<CarringtonMapType> catalog; 

	public CarringtonMapCatalog() {
		catalog = new ArrayList<CarringtonMapType>();
	}

	public CarringtonMapCatalog(List<CarringtonMapType> catalog) {
		this.catalog = catalog;
	}

	@XmlElement(name = "catalog")
	public List<CarringtonMapType> getCatalog() {
		return catalog;
	}

	public void setCatalog(List<CarringtonMapType> catalog) {
		this.catalog = catalog;
	}

}
